/******************************************************************************************
* Copyright (C), 2015, Shanghai Eastsoft Microelectronics Co., Ltd
* 文件名:  system_HR8P506.c
* 作  者:  ESM Application Team in
* 版  本:  V1.00
* 日  期:  2015/10/27
* 描  述:  HR8P508系列芯片初始化文件
* 备  注:  适用于HR8P506系列芯片
*          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
*******************************************************************************************/

#include "system.h"
#include "ES8P508x.h"
#include "lib_config.h"
#include "ES_STL_param.h"

void STL_SystemInit(void)
{
    SYSTICK_InitStruType x;

    PLLClock_Config(ENABLE, SCU_PLL_HRC, SCU_PLL_48M, ENABLE);

    SystemCoreClock = 48000000;
    DeviceClockAllEnable();
    RTC_Init(RTC_LRC, RTC_HOUR24);       //使用内部32K
    RTC_ClearAllITFlag();

    x.SysTick_ClkSource = SysTick_ClkS_Cpu;  //sysclk
    x.SysTick_Value = 0xFFFFFF;
    x.SysTick_ITEnable = DISABLE;     //中断禁止
    SysTick_Init(&x);
    SysTick_Disable();        //使用时才开启
}
